Subject: bug#78244: Exit code 4 whilst installing util-linux-selinux on arch

From: Pádraig Brady <[email-masked]>
Date: Sun, 4 May 2025 18:59:26 +0100

On 04/05/2025 10:49, Jdj asd wrote:
> Hello!
> I was trying to install util-linux-selinux which would've replaced a core
> package when I got exit code 4. I tried running it as root and with git
> clone but I was always getting this error and this email to report the
> issue to. Thanks for the help in advance!
> -Matthew

So in your environment isatty(STDIN_FILENO) returns ok,
but ttyname(STDIN_FILENO) returns NULL.
Can you give more details on your build environment?
How does util-linux-selinux relate to coreutils BTW?

cheers,
Pádraig